## org.mortbay.component
Interface LifeCycle.Listener

All Superinterfaces:
  java.util.EventListener

Enclosing interface:
  LifeCycle

    public static interface LifeCycle.Listener

extends java.util.EventListener

Listener. A listener for Lifecycle events.

Method Summary
`void` `lifeCycleFailure(LifeCycle event, java.lang.Throwable cause)`
`void` `lifeCycleStarted(LifeCycle event)`
`void` `lifeCycleStarting(LifeCycle event)`
`void` `lifeCycleStopped(LifeCycle event)`
`void` `lifeCycleStopping(LifeCycle event)`

Method Detail

### lifeCycleStarting

    void lifeCycleStarting(LifeCycle event)

### lifeCycleStarted

    void lifeCycleStarted(LifeCycle event)

### lifeCycleFailure

    void lifeCycleFailure(LifeCycle event,
                          java.lang.Throwable cause)

### lifeCycleStopping

    void lifeCycleStopping(LifeCycle event)

### lifeCycleStopped

    void lifeCycleStopped(LifeCycle event)

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.